declare_plugin("E-3Aby Eagle Dynamics",
{
displayName     = _("E-3A"),
developerName   =   "Eagle Dynamics",

image     	 = "FC.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,
fileMenuName = _("E-3A"),

version		 = "2.0.4",
state		 = "installed",
info		 = _("E-3A"),

InputProfiles =
{
    ["E-3A"] = current_mod_path .. '/Input/E-3A',
},


Skins	=
	{
		{
			name	= _("E-3A"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		    = _("E-3A"),
			dir			    = "Missions",
           
		},
	},		

LogBook =
	{
		{
			name		= _("E-3A"),
			type		= "E-3A",
		},
	},	
Options =
    {
        {
            name		= _("E-3A"),
            nameId		= "E-3A",
            dir			= "Options",
            CLSID		= "{E-3Aoptions}"
        },
    }, 	
})



mount_vfs_texture_path(current_mod_path ..  "/Theme/ME")--for simulator loading window
mount_vfs_model_path    (current_mod_path ..  "/Cockpit/Shape")
mount_vfs_liveries_path (current_mod_path ..  "/Liveries")
dofile(current_mod_path.."/Views.lua")
local support_cockpit = current_mod_path..'/Cockpit/Scripts/'
dofile(current_mod_path.."/E-3A.lua")
make_view_settings('E-3A', ViewSettings, SnapViews)
----------------------------------------------------------------------------------------
make_flyable('E-3A', current_mod_path..'/Cockpit/KneeboardRight/',  {nil, old = 4}, current_mod_path..'/Comm/comm.lua')
----------------------------------------------------------------------------------------
plugin_done()
